cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Grzegorz Kossakowski <gkossakow...@apache.org>
Subject Re: mvn archetype-block broken?
Date Mon, 30 Apr 2007 15:16:12 GMT
Andrew Savory napisaƂ(a):
> Hi,
> 
> The block archetype seems to have problems with missing versions on
> dependencies now:
> 
> Project ID: com.mycompany:myBlock1
> POM Location: getting-started-app/myBlock1/pom.xml
> Validation Messages:
> 
>     [0]  'dependencies.dependency.version' is missing for
> org.apache.cocoon:cocoon-core
>     [1]  'dependencies.dependency.version' is missing for
> org.apache.cocoon:cocoon-servlet-service-components
>     [2]  'dependencies.dependency.version' is missing for
> org.apache.cocoon:cocoon-template-impl
> 
> 
> Reason: Failed to validate POM
> 
> 
> Editing the pom to include e.g. for cocoon-core
> <version>2.2.0-RC1-SNAPSHOT</version> seems to fix it ... but is this an
> intended change?

Version elements were striped out while moving version information to the dependency management
of our root pom. What
was missed is that pom template of archetype should stay untouched.
I reverted the change. Should be working, now.

-- 
Grzegorz Kossakowski

Mime
View raw message